Bio::Align::PairwiseStatistics(3p)

NAME
Bio::Align::PairwiseStatistics - Base statistic object for Pairwise Alignments

SYNOPSIS
  use strict;
  my $stats = Bio::Align::PairwiseStatistics->new();

  # get alignment object of two sequences somehow
  my $pwaln;
  print $stats->number_of_comparable_bases($pwaln);
  my $score = $stats->score_nuc($pwaln);

DESCRIPTION
Calculate pairwise statistics.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Jason Stajich
Email jason-at-bioperl-dot-org

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  number_of_comparable_bases
 Title   : number_of_comparable_bases
 Usage   : my $bases = $stat->number_of_comparable_bases($aln);
 Function: Returns the count of the number of bases that can be
           compared (L) in this alignment ( length - gaps)
 Returns : integer
 Args    : L<Bio::Align::AlignI>

  number_of_differences
 Title   : number_of_differences
 Usage   : my $nd = $stat->number_of_distances($aln);
 Function: Returns the number of differences between two sequences
 Returns : integer
 Args    : L<Bio::Align::AlignI>

  number_of_gaps
 Title   : number_of_gaps
 Usage   : my $nd = $stat->number_of_gaps($aln);
 Function: Returns the number of gapped positions among sequences in alignment
 Returns : integer
 Args    : L<Bio::Align::AlignI>

  score_nuc
 Title   : score_nuc
 Usage   : my $score = $stat->score_nuc($aln);
             or
           my $score = $stat->score_nuc(
             -aln =>$aln,
             -match    => 1,
             -mismatch => -1,
             -gap_open => -1,
             -gap_ext  => -1
           );
 Function: Calculate the score of an alignment of 2 nucleic acid sequences. The
           scoring parameters can be specified. Otherwise the blastn default
           parameters are used: match = 2, mismatch = -3, gap opening = -5, gap
           extension = -2
 Returns : alignment score (number)
 Args    : L<Bio::Align::AlignI>
           match score [optional]
           mismatch score [optional]
           gap opening score [optional]
           gap extension score [optional]